import react from '@vitejs/plugin-react';
import { defineConfig } from 'vitest/config';

export default defineConfig({
  plugins: [react()],
  test: {
    globals: true,
    environment: 'happy-dom',
    setupFiles: './src/setupTests.ts',
    onConsoleLog(log) {
      if (
        log.includes("Cannot assign to read only property 'format' of object '#<RangeSelection>'")
      ) {
        return false;
      }
    },
  },
});
